package com.djhk.uav.plotting.service;

import com.djhk.uav.plotting.modol.Plotting;

import java.util.List;

public interface PlottingService {
    /**
     * 查询图上标会
     *
     * @param id 图上标会主键
     * @return 图上标会
     */
    public Plotting selectPlottingById(Long id);

    /**
     * 查询图上标会列表
     *
     * @return 图上标会集合
     */
    public List<Plotting> selectPlottingList(Long sysDeptNo);

    /**
     * 新增图上标会
     *
     * @param plotting 图上标会
     * @return 结果
     */
    public int insertPlotting(Plotting plotting);

    /**
     * 修改图上标会
     *
     * @param plotting 图上标会
     * @return 结果
     */
    public int updatePlotting(Plotting plotting);

    /**
     * 删除图上标会
     *
     * @param id 图上标会主键
     * @return 结果
     */
    public int deletePlottingById(Long id);

    /**
     * 批量删除图上标会
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePlottingByIds(Long[] ids);
}
